Questions tagged [apt]

For questions about the use, design, function etc. of APT (Advanced Packaging Tool), the standard software package management system for Debian and its derivatives.

474 questions with no upvoted or accepted answers
Filter by
Sorted by
Tagged with
4
votes
0answers
1k views

Use local (on disk) mirror for debootstrap

I'm trying to debootstrap from local files. I followed this guide. My host machine runs debian that I installed with : debootstrap stable /mnt http://httpredir.debian.org/debian/ What I did: mkdir /...
4
votes
0answers
92 views

cannot install in linux mint rebecca

I have a problem to install new packages/software in linux mint rebecca. My OS: > userubuntu@Oracle ~ $ uname -a Linux Oracle 3.13.0-37-generic #64-Ubuntu SMP Mon Sep 22 21:30:01 UTC 2014 i686 ...
4
votes
0answers
371 views

rdepends stops on virtual packages

I am working to create an offline repository for a system that does not have internet access. One of the first packages I am downloading for this system is the apt-offline package. I am using the ...
4
votes
2answers
113 views

How to distinguish if a systemd unit is run by apt-get or during boot?

Can one somehow distinguish if, a) the daemon was started during boot or, b) (re)started by an apt-get install or upgrade? Can this be distinguished from within the daemon itself? The use case is ...
3
votes
0answers
287 views

Bad Request 400 message for apt-get install every time I try to build my Docker Ubuntu 16:04 image

I am attempting to build a docker image with the requirements specified in requirements.txt. However, upon trying to build the file, I get the following error: E: Failed to fetch http://us.archive....
3
votes
0answers
352 views

Adding PPA on Ubuntu Bionic defaults to Eoan Repository

I am working on basing a new OS off of Ubuntu 18.04 Bionic, and in order to properly have the OS be recognized as a new distribution, I had to change /etc/lsb-release. In order to have it use PPAs, I ...
3
votes
0answers
182 views

apt-get ignores --assume-no

I want to upgrade the package base-files without overwriting /etc/issue. So I used --assume-no to disable the modification of config-files, but this is ignored and apt-get asked for input while ...
3
votes
0answers
2k views

Cannot increase maximum open files for redis

I am using ubunto 18.04, When i run redis-server on the terminal it says # oO0OoO0OoO0Oo Redis is starting oO0OoO0OoO0Oo # Redis version=4.0.9, bits=64, commit=00000000, modified=0, pid=11260, just ...
3
votes
1answer
4k views

fix debian libc-bin

Apparently I broke my Debian system again. If I want to install anything using apt I get the following warning: Reading state information... Done You might want to run 'apt --fix-broken install' to ...
3
votes
0answers
108 views

Why did apt not prompt me to confirm installing dependencies?

Usually, installing a package with dependencies that aren't currently installed will make apt confirm whether this is desired before proceeding to install: $ sudo apt install gnome-terminal Reading ...
3
votes
0answers
3k views

How to install Gnome Shell Extension “Night light slider” & “Pause night light” with apt

If i type "night..." into my global search window, software recommends the 2 packages: Night light slider and Pause night light. How do I install this packages with apt? I have done some ...
3
votes
1answer
1k views

When using apt-get without an internet connection, how does one tell which packages are missing?

Like many others before me, I'm stuck having to install a package on Ubuntu without having any external internet access to the machine. However, I've already attempted dry-runs and transferred all the ...
3
votes
0answers
427 views

How to set up keyserver and port permanently

I have corporate firewall which blocks default port for apt-key. So each time I add PPA, I have to interrupt gpg (which hangs) and receive missed keys manually setting port 80. I created script which ...
3
votes
0answers
32 views

Why do the outputs of those apt invocations differ?

When running apt-get dist-upgrade it shows, that there are zero packages that are not upgraded. When I run apt-get autoremove it informs me that there are two packages that can be upgraded. To me this ...
3
votes
1answer
128 views

how to know if a reboot will be required

Depending on your Linux version there are different commands to update the system from a repository. What command is needed to preview whether a reboot will be required.... In other words - BEFORE an ...
3
votes
0answers
3k views

dpkg-query listing package that is not installed

I installed Chrome via dpkg by downloading the deb file and installing it. I later uninstalled and removed it. However I'm now seeing this: $ dpkg-query -W google-chrome google-chrome $ dpkg-query -...
3
votes
1answer
2k views

Debian 8 apt-get upgrade fails with Failed to fetch … Connection failed

Debian 8 "Jessie". CLI-only home-use server. "apt-get upgrade" always fails with "E: Failed to fetch ... Connection failed ..." errors. "apt-get update" appears to always succeed. Problem has been ...
3
votes
0answers
288 views

Generate apt-offline bundle for use across many machines

I'm trying to use apt-offline to install packages on many machines (using ansible), so I need to avoid generating a machine-specific signature file (e.g. sudo apt-offline set debian-update.sig --...
3
votes
1answer
1k views

How to convince APT that a cross-arch package is installed manually?

I have a qemu-armhf chroot environment on an amd64 machine (it's mainly for compiling Raspberry Pi code). As such it can run both armhf and amd64 binaries but it's faster doing the latter. There are ...
3
votes
1answer
528 views

How to disable anti-aliasing in git-gui and gitk

After an upgrade to Tcl/Tk 8.5, git-gui and gitk are using anti-aliased fonts which look ugly on my display. I can select different fonts in the preferences dialog, but the fonts I was using before (...
3
votes
0answers
1k views

apt repository not showing in apt-cache policy, why?

I have a private mini-dinstall based repository. sources.list.d has an entry for it, like https://user:pass@my.host/repos/ tools/ I have installed apt-transport-https and I can happily install ...
2
votes
0answers
114 views

How to solve the unmet dependencies issue when to install wine32?

Show my wine's version info: wine --version it looks like wine32 is missing, you should install it. as root, please execute "apt-get install wine32" wine-1.8.7 (Debian 1.8.7-2) Install wine32 ...
2
votes
0answers
433 views

apt-get update no longer works after rebuilding corrupted PATH variable

I royally screwed up my PATH variable last night, thankfully a user called Icarus helped me rebuild it here. However it's not fully fixed and I receive the same (or maybe very similar) error that I ...
2
votes
0answers
263 views

How to prevent apt upgrade from downgrading my kernel?

I needed to manually install (through apt) a specific kernel version that supports newer USB-C features for USB development -- specifically version linux-image-4.18.0-25-generic in the Ubuntu apt ...
2
votes
3answers
2k views

What is the correct way to downgrade apt package and dependencies?

I'm trying to roll back my pigpio installation to test for changes but running into this problem: pi@MyPi:~ $ sudo apt install pigpio=1.68-3+rpi1 Reading package lists... Done Building dependency ...
2
votes
0answers
66 views

How can I install texlive-humanities to Ubuntu 19.04

I tried to install texlive-humanitiesto Ubuntu 19.04 but it looks like there is problems with broken packages. How can I solve this issue? (base) jaakko@jaakko-GL553VW:~/Desktop$ sudo apt install ...
2
votes
0answers
194 views

apt-get throwing errors: Internal error: Oops: 17 #1 ARM

I bought a new raspberry pi zero w. I flashed the raspbian lite image on a sd-card, the pi booted normally. But when I try to update it with sudo apt-get update sudo apt-get upgrade I get the ...
2
votes
1answer
258 views

Linux Mint : Cannot do apt-get update

I'm using the Linux Mint inside a proxy. I already configured the proxy settings in /etc/environment for the whole system and I used this solution (https://askubuntu.com/questions/257290/configure-...
2
votes
0answers
2k views

unable to connect to debian repos

I have been getting the following from the last couple of days - $ sudo apt update Hit:1 https://packages.riot.im/debian buster InRelease ...
2
votes
1answer
265 views

How can I use checkinstall to replace multiple packages?

I'm building my own ffmpeg package using checkinstall, with all of the various ffmpeg libraries included. In the Ubuntu package repos these ffmpeg libraries are broken up into many separate packages. ...
2
votes
1answer
97 views

Why does apt-cache rdepends --installed list uninstalled packages?

I'm running apt-cache rdepends to determine which packages are essential on my machine. For alex, I got the following: $ apt-cache rdepends alex --installed alex Reverse Depends: alex:i386 The ...
2
votes
0answers
758 views

`apt update` results in consistent “Failed to Fetch” errors for different apt sources

After a recent update from Bionic-based Pop OS! 18.04 to Cosmic-based Pop OS! 18.10, executing apt update always results in Failed to Fetch .... Temporary failure resolving errors for few sites. ...
2
votes
0answers
108 views

Renaming trusted.gpg to trusted.gpg-broken

I ran a fresh install of Debian stretch 9.8.0 and all was well. I then ran sudo apt update and I get an output which hits the ftp.debian.stretch server for the update thing is it tells me unable ...
2
votes
0answers
906 views

Why does apt-file report “The cache is empty” even after running “apt-file update”?

Does anybody know why apt-file reports that the cache is empty even after running apt-file update and apt update? [pop-os ~][I]% apt-file search /usr/lib/android-sdk/tools/bin/sdkmanager E: The cache ...
2
votes
0answers
1k views

Debian Stretch apt-get update failure resolving 'ftp.de.debian.org'

Since I have updated debian from jessie to stretch apt-get update fails. Error Message: Err:1 http://ftp.de.debian.org/debian stretch InRelease Temporary failure resolving 'ftp.de.debian.org' ...
2
votes
1answer
162 views

Debian testing added to sources.list, how to undo the upgrades?

Another sysadmin added the following to sources.list: deb http://ftp.de.debian.org/debian testing main At some point in time a apt-get upgrade was run, causing most packages to be updated a alpha or ...
2
votes
2answers
7k views

Why I'm unable to install a package with apt

On Debian 9 I want to install the package libicu57 (repository), but for some reason I can't: $ sudo apt install libicu57 Reading package lists... Done Building dependency tree Reading state ...
2
votes
0answers
184 views

Getting exit code 139 while running UCF (during dpkg postinstall)

I got stuck while trying to update two specific packages (e.g. "samba-common" and "openssh-server", for completion's sake), throwing the following error on the terminal: subprocess installed post-...
2
votes
2answers
1k views

VirtualBox (5.2) installation issue / guest additions for metasploitable3

I am having issues installing virtualbox on my kali-rolling dist (Linux kali 4.12.0-kali1-amd64 #1 SMP Debian 4.12.6-1kali6 (2017-08-30) x86_64 GNU/Linux). My main goal is to setup metasploitable3 (...
2
votes
1answer
612 views

Verify gpg key from stdin

I'm using these commands in a Dockerfile to add the LLVM Ubuntu package repository: RUN echo deb http://apt.llvm.org/artful/ llvm-toolchain-artful-6.0 main > \ /etc/apt/sources.list.d/llvm....
2
votes
1answer
129 views

Synaptic won't list programs that apt-get will install…?

For Linux Mint 18.3 MATE 32-bit. I thought that the GUI Synaptic Package Manager and the apt-get command line were working with the same databases of available packages. But this doesn't always seem ...
2
votes
0answers
785 views

Xfce broked / network not working

Well. Some days ago i made an 'apt-get install virtualbox' on my kali linux 2.0. I use xfce. apt-get downloaded like 300mb of files and installed about 1gb. Everything ok. Then i restarted my ...
2
votes
0answers
2k views

Debian package `vlc-data` causes `error: subprocess paste was killed by signal (Broken pipe)`

I am running Debian 9.1. There is a package that isn't upgrading correctly on my system: vlc-data version 2.2.7-1~deb8u1. This is apparently required by libvlccore8. This may well be a continuation of ...
2
votes
1answer
3k views

APT commands stall on `update-initramfs: Generating /boot/initrd.img-4.8.0-58-generic`

Whenever I try to use apt to install or upgrade and also when I try to launch Synaptic Package Manager I get an error that says: E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -...
2
votes
0answers
2k views

“You have held broken packages” when trying to update mysql

I'm tryng to update my mysql (currently at version 5.6) to 5.7 on my Debian 8, however I get this error when I'm reaching the last step. cat /etc/apt/sources.list gives the following: deb http://...
2
votes
0answers
216 views

add an apt repository only for few packages (or mirror them)

I'd like to install a couple of packages available from an unofficial repository, problem is the repository share many packages and an apt upgrade would replace many of the official. I know about ...
2
votes
0answers
45 views

Is it possible to pin a local package-repo?

I bound the folder /var/cache/apt/archives as a local package-source in my system. Is it possible to pin them? $ apt-cache policy | grep archive 500 file:/var/cache/apt/archives/ ./ Packages I ...
2
votes
1answer
1k views

Problem with gpg when using apt

I'm scratching my head to find a way to correct broken gpg stuff in apt. When i try to install Nodejs : curl -sL https://deb.nodesource.com/setup_7.x | sudo -E bash - sudo apt-get install -y ...
2
votes
0answers
259 views

How can I undo the effects of reprepro update?

On a private Debian package server, I accidentally did a reprepro update without the --restrict option, which updated all packages. Not realizing this, I then created a new distribution and populated ...
2
votes
0answers
2k views

Debian jessie to stretch upgrade problem - “systemd breaks udev'”

I've been trying to upgrade my current Debian Jessie to Stretch. Unfortunately, at apt-get dist-upgrade failed, it returns: Reading package lists... Done Building dependency tree Reading ...

1
2 3 4 5
10